Bug 66328 - Kudzu fails to recognize DRAC II card
Summary: Kudzu fails to recognize DRAC II card
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-07 22:07 UTC by Joshua Giles
Modified: 2014-03-17 02:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-23 01:26:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (983 bytes, text/plain)
2002-06-12 19:32 UTC, Joshua Giles
no flags Details

Description Joshua Giles 2002-06-07 22:07:03 UTC
Description of Problem:
When installing a DRAC II card on a PE300, kudzu dosen't recognize/install the 
new hardware and load the "megarac" driver.  

Version-Release number of selected component (if applicable):
0.99.52-1

How Reproducible:
100%

Steps to Reproduce:
1. Install DRAC-II card
2. Boot system
3. 

Actual Results:
System rebooted without kudzu being ran.

Expected Results:
Kudzu should run, detect the DRAC II card and install the megarac driver.

Additional Information:
pci.ids and pcitable have the correct information.

Comment 1 Bill Nottingham 2002-06-12 06:28:19 UTC
lspci output?

Comment 2 Joshua Giles 2002-06-12 19:32:22 UTC
Created attachment 60725 [details]
lspci output

Comment 3 Bill Nottingham 2002-06-12 19:47:04 UTC
This is a storage device of some sort?

Comment 4 Joshua Giles 2002-06-12 19:59:17 UTC
Nop,

The card is a remote assistant card(lspci shows it as "Megarac").  It has a 
pcmcia card slot(modem), ethernet connection, battery pack....all the 
essentials to remotely manage a system.


Comment 5 Bill Nottingham 2002-06-12 20:32:41 UTC
So, what sort of configuration needs to be done for this card?

Comment 6 Joshua Giles 2002-06-12 21:10:44 UTC
Upon completion, kudzu should setup should load the "megarac" module and create 
a character special file "/dev/rac0" with permission mode 644, major and minor 
number 170 and 0 respectively.
Ex: mknod -m 644 /dev/rac0 c 170 0


Comment 7 Bill Nottingham 2002-06-12 22:08:32 UTC
Actually, if your software just opens that device, it should just be an alias in
modutils; kudzu shouldn't have to load the module (and the device should be in
the normal dev package)

Comment 8 R P Herrold 2002-06-23 01:25:59 UTC
Is this a cross bug to 60376 ?

Comment 9 John A. Hull 2002-07-16 17:35:31 UTC
Working as designed


Note You need to log in before you can comment on or make changes to this bug.